/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**     
  * 
  * @ProjectName:
  * @Package:        net.micode.notes.ui
  * @ClassName:      AlarmReceiver
  * @Description:    通过AlarmReceiver类，可以实现小米便签的提醒功能，
  * 让用户按时收到提醒并进行相应的操作。
  * @Author:         xumingyang
  * @CreateDate:     2023-12-24 12:46
  * @UpdateUser:     更新者：
  * @UpdateDate:     2023-12-24 12:46
  * @UpdateRemark:   更新说明：
  * @Version:        1.0
 */


 /**
  * @method
  * @description 段代码是用于在接收到广播时启动AlarmAlertActivity活动，并在新的任务栈中展示该活动
  * @param *Context context和Intent intent，其中context表示上下文环境，intent表示接收到的广播意图。
  * @return
  */
public class AlarmReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        //重写了onReceive()方法，该方法在接收到广播时会被调用
        intent.setClass(context, AlarmAlertActivity.class);
        ////启动AlarmAlertActivity
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        ////activity要存在于activity的栈中，而非activity的途径启动activity时必然不存在一个activity的栈
        //所以要新起一个栈装入启动的activity
        context.startActivity(intent);
    }
}
